Subject: bug#76535: Recommend against turn-on-<FOO>-mode functions

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Mar 2025 11:29:04 -0400

> Oh, thanks, I guess that's new since I last looked into this.

etc/NEWS.24:

    * Incompatible Lisp Changes in Emacs 24.1
    
    ** Passing a nil argument to a minor mode function call now ENABLES
    the minor mode unconditionally.  This is so that you can write e.g.
    
        (add-hook 'text-mode-hook #'foo-mode)
    
    to enable foo-mode in Text mode buffers, removing the need for
    'turn-on-foo-mode' style functions.  This affects all mode commands
    defined by 'define-minor-mode'.  If called interactively, the mode
    command still toggles the minor mode.

- Stefan